var tweetLimit = 140;
var $textarea = $('textarea');
var $tweetCounter = $('.tweet_counter');
var $tweetbox = $('.tweetbox');
var remainingCharacters = tweetLimit;

var calculateRemainingCharacters = function () {
  remainingCharacters = tweetLimit - $textarea.val().length;

  $tweetCounter.text(remainingCharacters)

  if (remainingCharacters < 15) {
    $tweetCounter.css({color: 'red'});
  } else {
    $tweetCounter.css({color: 'inherit'});
  }
}

$tweetCounter.text(remainingCharacters);

$textarea.on('keydown', function (event) {
  if (event.which !== 8 && remainingCharacters === 0) {
    event.preventDefault();
  }
});

$textarea.on('keyup', function (event) {
  console.log('key ' + event.which + ' was pressed.');

  calculateRemainingCharacters();
});

$tweetbox.on('submit', function (event) {
  event.preventDefault();

  var $newTweet = $('.tweet').last().clone().hide();

  $newTweet.find('.tweet_content').text($textarea.val());
  $newTweet.find('.time').text('now');

  $newTweet.prependTo('.tweets').slideDown();

  $textarea.val('');
  calculateRemainingCharacters();
});

$('.buttons button').on('click', function (event) {
  var $button = $(this);
  var buttonClass = $button.attr('class');
  var $tweet = $button.closest('.tweet');

  if (buttonClass === 'favorite') {
    $tweet.toggleClass('favorited');
  } else if (buttonClass === 'retweet') {
    $tweet.toggleClass('retweeted');
  }
});




